For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • GET/linked-accounts
        • Field Mapping
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountLinked accounts

/linked-accounts

GET
/crm/v1/linked-accounts
GET
/api/crm/v1/linked-accounts
$curl -G https://api.merge.dev/api/crm/v1/linked-accounts \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "e59b1821-f85c-4e28-a6b3-1804156f3563",
7 "status": "INCOMPLETE",
8 "end_user_organization_name": "Foo Bar, LLC",
9 "end_user_email_address": "hradmin@foobar.dev",
10 "webhook_listener_url": "https://api.merge.dev/api/integrations/webhook-listener/7fc3mee0UW8ecV4",
11 "account_type": "PRODUCTION",
12 "completed_at": "2024-08-26T20:11:19.277118Z",
13 "category": "hris",
14 "status_detail": "Invalid login credentials",
15 "end_user_origin_id": "3ac95cde-6c7f-4eef-afec-be710b42308d",
16 "subdomain": "foobar",
17 "is_duplicate": true,
18 "integration": {
19 "name": "SAP SuccessFactors",
20 "categories": [
21 "hris",
22 "ats"
23 ],
24 "color": "#F6A704",
25 "slug": "sap-successfactors",
26 "passthrough_available": true,
27 "image": "https://cdn.merge.dev/SuccessFactors_Logo.png",
28 "square_image": "https://cdn.merge.dev/SuccessFactors_Square_Logo.jpg",
29 "available_model_operations": [
30 {
31 "model_name": "Candidate",
32 "available_operations": [
33 "FETCH",
34 "CREATE"
35 ],
36 "required_post_parameters": [
37 "remote_user_id"
38 ],
39 "supported_fields": [
40 "first_name",
41 "last_name",
42 "company",
43 "title"
44 ]
45 }
46 ]
47 },
48 "integration_specific_fields": {
49 "integration_specific_field": "Varies by platform"
50 }
51 }
52 ]
53}
List linked accounts for your organization.
Was this page helpful?
Previous

/issues/{id}

Next

/link-token

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

categoryenumOptional
Options: `accounting`, `ats`, `crm`, `filestorage`, `hris`, `knowledgebase`, `mktg`, `ticketing` * `hris` - hris * `ats` - ats * `accounting` - accounting * `ticketing` - ticketing * `crm` - crm * `mktg` - mktg * `filestorage` - filestorage * `datawarehouse` - datawarehouse * `knowledgebase` - knowledgebase * `communication` - communication * `chat` - chat
cursorstringOptional
The pagination cursor value.
end_user_email_addressstringOptional
If provided, will only return linked accounts associated with the given email address.
end_user_organization_namestringOptional
If provided, will only return linked accounts associated with the given organization name.
end_user_origin_idstringOptional
If provided, will only return linked accounts associated with the given origin ID.
end_user_origin_idsstringOptional

Comma-separated list of EndUser origin IDs, making it possible to specify multiple EndUsers at once.

idstringOptionalformat: "uuid"
idsstringOptional

Comma-separated list of LinkedAccount IDs, making it possible to specify multiple LinkedAccounts at once.

include_duplicatesbooleanOptional

If true, will include complete production duplicates of the account specified by the id query parameter in the response. id must be for a complete production linked account.

integration_namestringOptional
If provided, will only return linked accounts associated with the given integration name.
is_test_accountstringOptional

If included, will only include test linked accounts. If not included, will only include non-test linked accounts.

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
statusstringOptional

Filter by status. Options: COMPLETE, IDLE, INCOMPLETE, RELINK_NEEDED

Response

nextstring or null
previousstring or null
resultslist of objects

Options: accounting, ats, crm, filestorage, hris, knowledgebase, mktg, ticketing

  • hris - hris
  • ats - ats
  • accounting - accounting
  • ticketing - ticketing
  • crm - crm
  • mktg - mktg
  • filestorage - filestorage
  • datawarehouse - datawarehouse
  • knowledgebase - knowledgebase
  • communication - communication
  • chat - chat